import { createRouter, createWebHistory } from "vue-router";

//all routes
const appAllRoutes = [];
function importAllRoutes(r) {
  for (let key in r) {
    appAllRoutes.push(...r[key].default);
  }
}
importAllRoutes(import.meta.glob("./modules/*.js", { eager: true }));

const routes = [
  ...appAllRoutes,
  // 绑定公众号
  {
    path:'/bindWXofficial',
    component:()=>import('@/views/BindWxOfficial.vue'),
    name:'BindWxOfficial',
    meta:{
      title:''
    },
  },
  // 风险测评回掉页面
  {
    path:'/evaluationBack',
    component:()=>import('@/views/EvaluationResult.vue'),
    name:'EvaluationResult',
    meta:{
      title:'风险测评'
    },
  },

  {
    path: "/:pathMatch(.*)",
    name: "error",
    component: () => import("@/views/404.vue"),
    meta: { title: "404" },
  },
];

const router = createRouter({
  history: createWebHistory(import.meta.env.VITE_APP_BASE_URL),
  routes,
});

router.beforeEach(async (to, from, next) => {
  if(to.query.token){
    localStorage.setItem('token',to.query.token)
  }
  document.title = to.meta.title;
  next();
});

export default router;
